Package com.sun.jna.platform.mac

## Class SystemB.IFdata

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.IFdata

- Enclosing interface:
    SystemB

      @FieldOrder({"ifi_type","ifi_typelen","ifi_physical","ifi_addrlen","ifi_hdrlen","ifi_recvquota","ifi_xmitquota","ifi_unused1","ifi_mtu","ifi_metric","ifi_baudrate","ifi_ipackets","ifi_ierrors","ifi_opackets","ifi_oerrors","ifi_collisions","ifi_ibytes","ifi_obytes","ifi_imcasts","ifi_omcasts","ifi_iqdrops","ifi_noproto","ifi_recvtiming","ifi_xmittiming","ifi_lastchange","ifi_unused2","ifi_hwassist","ifi_reserved1","ifi_reserved2"})
      public static class SystemB.IFdata
      extends Structure

  Data type as part of IFmsgHdr

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte` | `ifi_addrlen` |
    `int` | `ifi_baudrate` |
    `int` | `ifi_collisions` |
    `byte` | `ifi_hdrlen` |
    `int` | `ifi_hwassist` |
    `int` | `ifi_ibytes` |
    `int` | `ifi_ierrors` |
    `int` | `ifi_imcasts` |
    `int` | `ifi_ipackets` |
    `int` | `ifi_iqdrops` |
    `SystemB.Timeval` | `ifi_lastchange` |
    `int` | `ifi_metric` |
    `int` | `ifi_mtu` |
    `int` | `ifi_noproto` |
    `int` | `ifi_obytes` |
    `int` | `ifi_oerrors` |
    `int` | `ifi_omcasts` |
    `int` | `ifi_opackets` |
    `byte` | `ifi_physical` |
    `byte` | `ifi_recvquota` |
    `int` | `ifi_recvtiming` |
    `int` | `ifi_reserved1` |
    `int` | `ifi_reserved2` |
    `byte` | `ifi_type` |
    `byte` | `ifi_typelen` |
    `byte` | `ifi_unused1` |
    `int` | `ifi_unused2` |
    `byte` | `ifi_xmitquota` |
    `int` | `ifi_xmittiming` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IFdata()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ifi_type

          public byte ifi_type

    - #### ifi_typelen

          public byte ifi_typelen

    - #### ifi_physical

          public byte ifi_physical

    - #### ifi_addrlen

          public byte ifi_addrlen

    - #### ifi_hdrlen

          public byte ifi_hdrlen

    - #### ifi_recvquota

          public byte ifi_recvquota

    - #### ifi_xmitquota

          public byte ifi_xmitquota

    - #### ifi_unused1

          public byte ifi_unused1

    - #### ifi_mtu

          public int ifi_mtu

    - #### ifi_metric

          public int ifi_metric

    - #### ifi_baudrate

          public int ifi_baudrate

    - #### ifi_ipackets

          public int ifi_ipackets

    - #### ifi_ierrors

          public int ifi_ierrors

    - #### ifi_opackets

          public int ifi_opackets

    - #### ifi_oerrors

          public int ifi_oerrors

    - #### ifi_collisions

          public int ifi_collisions

    - #### ifi_ibytes

          public int ifi_ibytes

    - #### ifi_obytes

          public int ifi_obytes

    - #### ifi_imcasts

          public int ifi_imcasts

    - #### ifi_omcasts

          public int ifi_omcasts

    - #### ifi_iqdrops

          public int ifi_iqdrops

    - #### ifi_noproto

          public int ifi_noproto

    - #### ifi_recvtiming

          public int ifi_recvtiming

    - #### ifi_xmittiming

          public int ifi_xmittiming

    - #### ifi_lastchange

          public SystemB.Timeval ifi_lastchange

    - #### ifi_unused2

          public int ifi_unused2

    - #### ifi_hwassist

          public int ifi_hwassist

    - #### ifi_reserved1

          public int ifi_reserved1

    - #### ifi_reserved2

          public int ifi_reserved2

  - ### Constructor Detail

    - #### IFdata

          public IFdata()